Get Samba shares
GET
/samba/shares
const url = 'https://sylve.lan:8181/api/samba/shares';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/samba/shares \ --header 'Authorization: <Authorization>'Retrieve all configured Samba shares
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
auditEnabled
boolean
auditRetentionDays
integer
auditedOperations
Array<string>
createMask
string
createdAt
string
dataset
string
directoryMask
string
enabled
boolean
guest
object
enabled
boolean
writeable
boolean
id
integer
name
string
permissions
object
read
object
groups
Array<object>
object
id
integer
name
string
users
Array<object>
object
id
integer
username
string
write
object
groups
Array<object>
object
id
integer
name
string
users
Array<object>
object
id
integer
username
string
timeMachine
boolean
timeMachineMaxSize
integer
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "auditEnabled": true, "auditRetentionDays": 1, "auditedOperations": [ "example" ], "createMask": "example", "createdAt": "example", "dataset": "example", "directoryMask": "example", "enabled": true, "guest": { "enabled": true, "writeable": true }, "id": 1, "name": "example", "permissions": { "read": { "groups": [ { "id": 1, "name": "example" } ], "users": [ { "id": 1, "username": "example" } ] }, "write": { "groups": [ { "id": 1, "name": "example" } ], "users": [ { "id": 1, "username": "example" } ] } }, "timeMachine": true, "timeMachineMaxSize": 1, "updatedAt": "example" } ], "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}